#include <stdio.h>

int dec_split(int x){

  int var0 = x % 10; //digit 0 is obtained; in this case of myh PN: 9.
  int var1 = (x - var0)/10;
  printf("DEBUG DEC_SPLIT %d + %d = %d\n", var1, var0, var1+var0);
  return var0 + var1;
}



    
